ht_block_decoding.hpp File Reference
`#include <cstdint>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | state_MS_dec
class | state_MEL_unPacker
class | state_MEL_decoder
class | state_VLC_dec
class | SP_dec
class | MR_dec

## Macros

#define | ADVANCED
#define | getbitfunc getVLCbit()

## Functions

void | htj2k_decode (j2k_codeblock *block, const uint8_t ROIshift)

## Variables

const int32_t | bitmask32 [32]

## Macro Definition Documentation

## ADVANCED

#define ADVANCED

## getbitfunc

#define getbitfunc getVLCbit()

## Function Documentation

## htj2k_decode()

void htj2k_decode | ( | j2k_codeblock * | block,
|  | const uint8_t | ROIshift
| ) |  |

References j2k_codeblock::band_stride, j2k_codeblock::get_compressed_data(), j2k_codeblock::get_Mb(), j2k_codeblock::get_state(), ht_cleanup_decode(), ht_magref_decode(), ht_sigprop_decode(), j2k_codeblock::i_samples, j2k_codeblock::length, j2k_codeblock::num_passes, j2k_codeblock::num_ZBP, j2k_codeblock::pass_length, Refinement_indicator(), j2k_codeblock::sample_buf, j2k_codeblock::size, j2k_codeblock::transformation, element_siz::x, and element_siz::y.

Referenced by openhtj2k::T1OpenHTJ2K::decompress().

## Variable Documentation

## bitmask32

const int32_t bitmask32[32]

Initial value:
= {
0x00000000, 0x00000001, 0x00000003, 0x00000007, 0x0000000F, 0x0000001F, 0x0000003F, 0x0000007F,
0x000000FF, 0x000001FF, 0x000003FF, 0x000007FF, 0x00000FFF, 0x00001FFF, 0x00003FFF, 0x00007FFF,
0x0000FFFF, 0x0001FFFF, 0x0003FFFF, 0x0007FFFF, 0x000FFFFF, 0x001FFFFF, 0x003FFFFF, 0x007FFFFF,
0x00FFFFFF, 0x01FFFFFF, 0x03FFFFFF, 0x07FFFFFF, 0x0FFFFFFF, 0x1FFFFFFF, 0x3FFFFFFF, 0x7FFFFFFF}

Referenced by state_MS_dec::decodeMagSgnValue().